## linux-fsl-imx51 2.6.31-105.14

=== arch/arm/Makefile ===
#
# arch/arm/Makefile
#
# This file is included by the global makefile so that you can add your own
# architecture-specific flags and dependencies.
#
# This file is subject to the terms and conditions of the GNU General Public
# License.  See the file "COPYING" in the main directory of this archive
# for more details.
#
# Copyright (C) 1995-2001 by Russell King

LDFLAGS_vmlinux	:=-p --no-undefined -X
ifeq ($(CONFIG_CPU_ENDIAN_BE8),y)
LDFLAGS_vmlinux	+= --be8
endif
CPPFLAGS_vmlinux.lds = -DTEXT_OFFSET=$(TEXT_OFFSET)
OBJCOPYFLAGS	:=-O binary -R .note -R .note.gnu.build-id -R .comment -S
GZFLAGS		:=-9
#KBUILD_CFLAGS	+=-pipe
# Explicitly specifiy 32-bit ARM ISA since toolchain default can be -mthumb:
KBUILD_CFLAGS	+=$(call cc-option,-marm,)

# Do not use arch/arm/defconfig - it's always outdated.
# Select a platform tht is kept up-to-date
KBUILD_DEFCONFIG := versatile_defconfig

# defines filename extension depending memory manement type.
ifeq ($(CONFIG_MMU),)
MMUEXT		:= -nommu
endif

ifeq ($(CONFIG_FRAME_POINTER),y)
KBUILD_CFLAGS	+=-fno-omit-frame-pointer -mapcs -mno-sched-prolog
endif

ifeq ($(CONFIG_CPU_BIG_ENDIAN),y)
KBUILD_CPPFLAGS	+= -mbig-endian
AS		+= -EB
LD		+= -EB
else
KBUILD_CPPFLAGS	+= -mlittle-endian
AS		+= -EL
LD		+= -EL
endif

comma = ,

# This selects which instruction set is used.
# Note that GCC does not numerically define an architecture version
# macro, but instead defines a whole series of macros which makes
# testing for a specific architecture or later rather impossible.
arch-$(CONFIG_CPU_32v7)		:=-D__LINUX_ARM_ARCH__=7 $(call cc-option,-march=armv7-a,-march=armv5t -Wa$(comma)-march=armv7-a)
arch-$(CONFIG_CPU_32v6)		:=-D__LINUX_ARM_ARCH__=6 $(call cc-option,-march=armv6,-march=armv5t -Wa$(comma)-march=armv6)
# Only override the compiler option if ARMv6. The ARMv6K extensions are
# always available in ARMv7
ifeq ($(CONFIG_CPU_32v6),y)
arch-$(CONFIG_CPU_32v6K)	:=-D__LINUX_ARM_ARCH__=6 $(call cc-option,-march=armv6k,-march=armv5t -Wa$(comma)-march=armv6k)
endif
arch-$(CONFIG_CPU_32v5)		:=-D__LINUX_ARM_ARCH__=5 $(call cc-option,-march=armv5te,-march=armv4t)
arch-$(CONFIG_CPU_32v4T)	:=-D__LINUX_ARM_ARCH__=4 -march=armv4t
arch-$(CONFIG_CPU_32v4)		:=-D__LINUX_ARM_ARCH__=4 -march=armv4
arch-$(CONFIG_CPU_32v3)		:=-D__LINUX_ARM_ARCH__=3 -march=armv3

# This selects how we optimise for the processor.
tune-$(CONFIG_CPU_ARM610)	:=-mtune=arm610
tune-$(CONFIG_CPU_ARM710)	:=-mtune=arm710
tune-$(CONFIG_CPU_ARM7TDMI)	:=-mtune=arm7tdmi
tune-$(CONFIG_CPU_ARM720T)	:=-mtune=arm7tdmi
tune-$(CONFIG_CPU_ARM740T)	:=-mtune=arm7tdmi
tune-$(CONFIG_CPU_ARM9TDMI)	:=-mtune=arm9tdmi
tune-$(CONFIG_CPU_ARM940T)	:=-mtune=arm9tdmi
tune-$(CONFIG_CPU_ARM946E)	:=$(call cc-option,-mtune=arm9e,-mtune=arm9tdmi)
tune-$(CONFIG_CPU_ARM920T)	:=-mtune=arm9tdmi
tune-$(CONFIG_CPU_ARM922T)	:=-mtune=arm9tdmi
tune-$(CONFIG_CPU_ARM925T)	:=-mtune=arm9tdmi
tune-$(CONFIG_CPU_ARM926T)	:=-mtune=arm9tdmi
tune-$(CONFIG_CPU_FA526)	:=-mtune=arm9tdmi
tune-$(CONFIG_CPU_SA110)	:=-mtune=strongarm110
tune-$(CONFIG_CPU_SA1100)	:=-mtune=strongarm1100
tune-$(CONFIG_CPU_XSCALE)	:=$(call cc-option,-mtune=xscale,-mtune=strongarm110) -Wa,-mcpu=xscale
tune-$(CONFIG_CPU_XSC3)		:=$(call cc-option,-mtune=xscale,-mtune=strongarm110) -Wa,-mcpu=xscale
tune-$(CONFIG_CPU_FEROCEON)	:=$(call cc-option,-mtune=marvell-f,-mtune=xscale)
tune-$(CONFIG_CPU_V6)		:=$(call cc-option,-mtune=arm1136j-s,-mtune=strongarm)

ifeq ($(CONFIG_AEABI),y)
CFLAGS_ABI	:=-mabi=aapcs-linux -mno-thumb-interwork
else
CFLAGS_ABI	:=$(call cc-option,-mapcs-32,-mabi=apcs-gnu) $(call cc-option,-mno-thumb-interwork,)
endif

ifeq ($(CONFIG_ARM_UNWIND),y)
CFLAGS_ABI	+=-funwind-tables
endif

# Need -Uarm for gcc < 3.x
KBUILD_CFLAGS	+=$(CFLAGS_ABI) $(arch-y) $(tune-y) $(call cc-option,-mshort-load-bytes,$(call cc-option,-malignment-traps,)) -msoft-float -Uarm
KBUILD_AFLAGS	+=$(CFLAGS_ABI) $(arch-y) $(tune-y) -msoft-float

CHECKFLAGS	+= -D__arm__

#Default value
head-y		:= arch/arm/kernel/head$(MMUEXT).o arch/arm/kernel/init_task.o
textofs-y	:= 0x00008000
textofs-$(CONFIG_ARCH_CLPS711X) := 0x00028000
# SA1111 DMA bug: we don't want the kernel to live in precious DMA-able memory
ifeq ($(CONFIG_ARCH_SA1100),y)
textofs-$(CONFIG_SA1111) := 0x00208000
endif

# Machine directory name.  This list is sorted alphanumerically
# by CONFIG_* macro name.
machine-$(CONFIG_ARCH_AAEC2000)		:= aaec2000
machine-$(CONFIG_ARCH_AT91)		:= at91
machine-$(CONFIG_ARCH_CLPS711X)		:= clps711x
machine-$(CONFIG_ARCH_DAVINCI)		:= davinci
machine-$(CONFIG_ARCH_EBSA110)		:= ebsa110
machine-$(CONFIG_ARCH_EP93XX)		:= ep93xx
machine-$(CONFIG_ARCH_GEMINI)		:= gemini
machine-$(CONFIG_ARCH_H720X)		:= h720x
machine-$(CONFIG_ARCH_INTEGRATOR)	:= integrator
machine-$(CONFIG_ARCH_IOP13XX)		:= iop13xx
machine-$(CONFIG_ARCH_IOP32X)		:= iop32x
machine-$(CONFIG_ARCH_IOP33X)		:= iop33x
machine-$(CONFIG_ARCH_IXP2000)		:= ixp2000
machine-$(CONFIG_ARCH_IXP23XX)		:= ixp23xx
machine-$(CONFIG_ARCH_IXP4XX)		:= ixp4xx
machine-$(CONFIG_ARCH_KIRKWOOD)		:= kirkwood
machine-$(CONFIG_ARCH_KS8695)		:= ks8695
machine-$(CONFIG_ARCH_L7200)		:= l7200
machine-$(CONFIG_ARCH_LH7A40X)		:= lh7a40x
machine-$(CONFIG_ARCH_LOKI) 		:= loki
machine-$(CONFIG_ARCH_MMP)		:= mmp
machine-$(CONFIG_ARCH_MSM)		:= msm
machine-$(CONFIG_ARCH_MV78XX0)		:= mv78xx0
machine-$(CONFIG_ARCH_MX1)		:= mx1
machine-$(CONFIG_ARCH_MX2)		:= mx2
machine-$(CONFIG_ARCH_MX3)		:= mx3
machine-$(CONFIG_ARCH_NETX)		:= netx
machine-$(CONFIG_ARCH_NS9XXX)		:= ns9xxx
machine-$(CONFIG_ARCH_OMAP1)		:= omap1
machine-$(CONFIG_ARCH_OMAP2)		:= omap2
machine-$(CONFIG_ARCH_OMAP3)		:= omap2
machine-$(CONFIG_ARCH_OMAP4)		:= omap2
machine-$(CONFIG_ARCH_ORION5X)		:= orion5x
machine-$(CONFIG_ARCH_PNX4008)		:= pnx4008
machine-$(CONFIG_ARCH_PXA)		:= pxa
machine-$(CONFIG_ARCH_REALVIEW)		:= realview
machine-$(CONFIG_ARCH_RPC)		:= rpc
machine-$(CONFIG_ARCH_S3C2410)		:= s3c2410 s3c2400 s3c2412 s3c2440 s3c2442 s3c2443
machine-$(CONFIG_ARCH_S3C24A0)		:= s3c24a0
machine-$(CONFIG_ARCH_S3C64XX)		:= s3c6400 s3c6410
machine-$(CONFIG_ARCH_SA1100)		:= sa1100
machine-$(CONFIG_ARCH_SHARK)		:= shark
machine-$(CONFIG_ARCH_STMP378X)		:= stmp378x
machine-$(CONFIG_ARCH_STMP37XX)		:= stmp37xx
machine-$(CONFIG_ARCH_U300)		:= u300
machine-$(CONFIG_ARCH_VERSATILE)	:= versatile
machine-$(CONFIG_ARCH_W90X900)		:= w90x900
machine-$(CONFIG_FOOTBRIDGE)		:= footbridge
machine-$(CONFIG_ARCH_IMX)		:= imx
machine-$(CONFIG_ARCH_MX51)		:= mx51

# Platform directory name.  This list is sorted alphanumerically
# by CONFIG_* macro name.
plat-$(CONFIG_ARCH_MXC)		:= mxc
plat-$(CONFIG_ARCH_OMAP)	:= omap
plat-$(CONFIG_PLAT_IOP)		:= iop
plat-$(CONFIG_PLAT_ORION)	:= orion
plat-$(CONFIG_PLAT_PXA)		:= pxa
plat-$(CONFIG_PLAT_S3C24XX)	:= s3c24xx s3c
plat-$(CONFIG_PLAT_S3C64XX)	:= s3c64xx s3c
plat-$(CONFIG_ARCH_STMP3XXX)	:= stmp3xxx

ifeq ($(CONFIG_ARCH_EBSA110),y)
# This is what happens if you forget the IOCS16 line.
# PCMCIA cards stop working.
CFLAGS_3c589_cs.o :=-DISA_SIXTEEN_BIT_PERIPHERAL
export CFLAGS_3c589_cs.o
endif

# The byte offset of the kernel image in RAM from the start of RAM.
TEXT_OFFSET := $(textofs-y)

# The first directory contains additional information for the boot setup code
ifneq ($(machine-y),)
MACHINE  := arch/arm/mach-$(word 1,$(machine-y))/
else
MACHINE  :=
endif

machdirs := $(patsubst %,arch/arm/mach-%/,$(machine-y))
platdirs := $(patsubst %,arch/arm/plat-%/,$(plat-y))

ifeq ($(KBUILD_SRC),)
KBUILD_CPPFLAGS += $(patsubst %,-I%include,$(machdirs) $(platdirs))
else
KBUILD_CPPFLAGS += $(patsubst %,-I$(srctree)/%include,$(machdirs) $(platdirs))
endif

export	TEXT_OFFSET GZFLAGS MMUEXT

# Do we have FASTFPE?
FASTFPE		:=arch/arm/fastfpe
ifeq ($(FASTFPE),$(wildcard $(FASTFPE)))
FASTFPE_OBJ	:=$(FASTFPE)/
endif

# If we have a machine-specific directory, then include it in the build.
core-y				+= arch/arm/kernel/ arch/arm/mm/ arch/arm/common/
core-y				+= $(machdirs) $(platdirs)
core-$(CONFIG_FPE_NWFPE)	+= arch/arm/nwfpe/
core-$(CONFIG_FPE_FASTFPE)	+= $(FASTFPE_OBJ)
core-$(CONFIG_VFP)		+= arch/arm/vfp/

drivers-$(CONFIG_OPROFILE)      += arch/arm/oprofile/

libs-y				:= arch/arm/lib/ $(libs-y)

# Default target when executing plain make
ifeq ($(CONFIG_XIP_KERNEL),y)
KBUILD_IMAGE := xipImage
else
KBUILD_IMAGE := zImage
endif

all:	$(KBUILD_IMAGE)

boot := arch/arm/boot

#	Update machine arch and proc symlinks if something which affects
#	them changed.  We use .arch to indicate when they were updated
#	last, otherwise make uses the target directory mtime.

archprepare: maketools

PHONY += maketools FORCE
maketools: include/linux/version.h FORCE
	$(Q)$(MAKE) $(build)=arch/arm/tools include/asm-arm/mach-types.h

# Convert bzImage to zImage
bzImage: zImage

zImage Image xipImage bootpImage uImage: vmlinux
	$(Q)$(MAKE) $(build)=$(boot) MACHINE=$(MACHINE) $(boot)/$@

zinstall install: vmlinux
	$(Q)$(MAKE) $(build)=$(boot) MACHINE=$(MACHINE) $@

CLEAN_FILES += include/asm-arm/mach-types.h \
	       include/asm-arm/arch include/asm-arm/.arch

# We use MRPROPER_FILES and CLEAN_FILES now
archclean:
	$(Q)$(MAKE) $(clean)=$(boot)

# My testing targets (bypasses dependencies)
bp:;	$(Q)$(MAKE) $(build)=$(boot) MACHINE=$(MACHINE) $(boot)/bootpImage
i zi:;	$(Q)$(MAKE) $(build)=$(boot) MACHINE=$(MACHINE) $@


define archhelp
  echo  '* zImage        - Compressed kernel image (arch/$(ARCH)/boot/zImage)'
  echo  '  Image         - Uncompressed kernel image (arch/$(ARCH)/boot/Image)'
  echo  '* xipImage      - XIP kernel image, if configured (arch/$(ARCH)/boot/xipImage)'
  echo  '  uImage        - U-Boot wrapped zImage'
  echo  '  bootpImage    - Combined zImage and initial RAM disk' 
  echo  '                  (supply initrd image via make variable INITRD=<path>)'
  echo  '  install       - Install uncompressed kernel'
  echo  '  zinstall      - Install compressed kernel'
  echo  '                  Install using (your) ~/bin/installkernel or'
  echo  '                  (distribution) /sbin/installkernel or'
  echo  '                  install to $$(INSTALL_PATH) and run lilo'
endef

=== debian/changelog ===
linux-fsl-imx51 (2.6.31-105.14) karmic; urgency=low

  [ Andy Whitcroft ]

  * rebase to Ubuntu-2.6.31-14.46
  * [Config] update configs since rebase to Ubuntu-2.6.31-14.46
  * lirc update dropped module lirc_mceusb2

  [ Upstream Kernel Changes ]

  * mxc spi: fix spi driver for 2.6.31
    - LP: #427289, #446140

  [ Ubuntu: 2.6.31-14.46 ]

  * reinstate armel.mk with no flavours
    - LP: #449637
  * [Upstream] elevator: fix fastfail checks to allow merge of readahead
    requests
    - LP: #444915
  * [Upstream] block: silently error unsupported empty barriers too
    - LP: #420423
  * SAUCE: AppArmor: Fix mediation of "deleted" paths
    - LP: #415632
  * [Config] CONFIG_X86_MCE
    https://lists.ubuntu.com/archives/kernel-team/2009-October/007584.html
  * Revert "appletalk: Fix skb leak when ipddp interface is not loaded,
    CVE-2009-2903" - Use patch from 2.6.31.4 which is slightly different.
  * x86: fix csum_ipv6_magic asm memory clobber
  * tty: Avoid dropping ldisc_mutex over hangup tty re-initialization
  * x86: Don't leak 64-bit kernel register values to 32-bit processes
  * tracing: correct module boundaries for ftrace_release
  * ftrace: check for failure for all conversions
  * futex: fix requeue_pi key imbalance
  * futex: Move exit_pi_state() call to release_mm()
  * futex: Nullify robust lists after cleanup
  * futex: Fix locking imbalance
  * NOHZ: update idle state also when NOHZ is inactive
  * ima: ecryptfs fix imbalance message
  * libata: fix incorrect link online check during probe
  * sound: via82xx: move DXS volume controls to PCM interface
  * ASoC: WM8350 capture PGA mutes are inverted
  * KVM: Prevent overflow in KVM_GET_SUPPORTED_CPUID
  * KVM: VMX: flush TLB with INVEPT on cpu migration
  * KVM: fix LAPIC timer period overflow
  * KVM: SVM: Fix tsc offset adjustment when running nested
  * KVM: SVM: Handle tsc in svm_get_msr/svm_set_msr correctly
  * net: Fix wrong sizeof
  * mm: add_to_swap_cache() must not sleep
  * sis5513: fix PIO setup for ATAPI devices
  * PIT fixes to unbreak suspend/resume (bug #14222)
  * IMA: open new file for read
  * ACPI: Clarify resource conflict message
  * ACPI: fix Compaq Evo N800c (Pentium 4m) boot hang regression
  * net: restore tx timestamping for accelerated vlans
  * net: unix: fix sending fds in multiple buffers
  * tun: Return -EINVAL if neither IFF_TUN nor IFF_TAP is set.
  * tcp: fix CONFIG_TCP_MD5SIG + CONFIG_PREEMPT timer BUG()
  * net: Fix sock_wfree() race
  * smsc95xx: fix transmission where ZLP is expected
  * sky2: Set SKY2_HW_RAM_BUFFER in sky2_init
  * appletalk: Fix skb leak when ipddp interface is not loaded
  * ax25: Fix possible oops in ax25_make_new
  * ax25: Fix SIOCAX25GETINFO ioctl
  * sit: fix off-by-one in ipip6_tunnel_get_prl
  * Linux 2.6.31.4
  * drm/i915: Fix FDI M/N setting according with correct color depth
    - LP: #416792

  [ Ubuntu: 2.6.31-13.45 ]

  * [Config] Add sd_mod to scsi-modules udeb for powerpc
  * SAUCE: Update to LIRC 0.8.6
    - LP: #432678
  * [Config] CONFIG_X86_PAT=y
    https://lists.ubuntu.com/archives/kernel-team/2009-October/007477.html
    https://lists.ubuntu.com/archives/kernel-team/2009-October/007534.html
  * [Config] Add armel arch to linux-libc-dev arches.
    - LP: #449637
  * e1000e: swap max hw supported frame size between 82574 and 82583
  * drm/i915: Initialize HDMI outputs as HDMI connectors, not DVI.
    - LP: #392017
  * ALSA: hda - Add quirks for some HP laptops
    - LP: #449742
  * ALSA: hda - Add support for HP dv6
    - LP: #449742

  [ Ubuntu: 2.6.31-13.44 ]

  * sgi-gru: Fix kernel stack buffer overrun, CVE-2009-2584
  * appletalk: Fix skb leak when ipddp interface is not loaded,
    CVE-2009-2903
    Note - This patch causes an ABI change in the symbol aarp_send_ddp
    which I'm ignoring.

 -- Andy Whitcroft <apw@canonical.com>  Tue, 13 Oct 2009 15:59:33 +0100

linux-fsl-imx51 (2.6.31-104.13) karmic; urgency=low

  [ Andy Whitcroft ]

  * fix FTBFS due to sound being built in

 -- Andy Whitcroft <apw@canonical.com>  Sat, 10 Oct 2009 18:58:18 +0100

linux-fsl-imx51 (2.6.31-104.12) karmic; urgency=low

  [ Alan Tull ]

  * SAUCE: IMX51: A hack which allows the sound driver to initialize.

  [ Amit Kucheria ]

  * Disable CONFIG_UEVENT_HELPER_PATH

  [ Andy Whitcroft ]

  * rebase to Ubuntu-2.6.31-13.42
  * rebase to Ubuntu-2.6.31-13.43

  [ Brad Figg ]

  * CONFIG: IMX51: change SGTL5000 driver to be builtin instead of a
    module.

  [ Colin Watson ]

  * Use section 'admin' rather than 'base'

  [ Jeremy Kerr ]

  * SAUCE: drivers/net/fec: Convert to a platform bus driver
    - LP: #438687

  [ Tim Gardner ]

  * [Config] CONFIG_GFS2_FS_LOCKING_DLM=y
    - LP: #416325

  [ Upstream Kernel Changes ]

  * ENGR00107785 sgtl5000: adc power savings
  * sgtl5000 audio: more porting to 2.6.31
  * sgtl5000: add line in function

  [ Ubuntu: 2.6.31-13.43 ]

  * Revert "[Upstream] acerhdf: Limit modalias matching to supported
    boards"
  * Use section 'admin' rather than 'base'
  * SAUCE: AppArmor: Set error code after structure initialization.
    - LP: #427948
  * SAUCE: AppArmor: Fix off by 2 error in getprocattr mem allocation
    - LP: #446595
  * SAUCE: Add sr_mod to the scsi-modules udeb for powerpc
  * [Upstream] acerhdf: Limit modalias matching to supported boards
    (supersedes previous revert made by Andy Whitcroft)
    - LP: #435958

  [ Ubuntu: 2.6.31-13.42 ]

  * SAUCE: (drop after 2.6.31) input: Add support for filtering input
    events
    - LP: #430809
  * SAUCE: (drop after 2.6.31) dell-laptop: Trigger rfkill updates on wifi
    toggle switch press
    - LP: #430809
  * SAUCE: Raise the default console 'quiet' level to 2
    This supresses all but critical and emergency level messages.
    https://lists.ubuntu.com/archives/kernel-team/2009-October/007476.html
  * TTY: fix typos
  * Linux 2.6.31.3
  * V4L/DVB (12439): cx88: add support for WinFast DTV2000H rev. J
    - LP: #433904

  [ Ubuntu: 2.6.31-12.41 ]



=== debian/control ===
Source: linux-fsl-imx51
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 3), cpio, module-init-tools, kernel-wedge (>= 2.24ubuntu1), rsync
Build-Depends-Indep: xmlto, docbook-utils, gs, transfig, bzip2, sharutils
Build-Conflicts: findutils (= 4.4.1-1ubuntu1)
Vcs-Git: http://kernel.ubuntu.com/git-repos/ubuntu/ubuntu-karmic.git


Package: linux-image-2.6.31-105-imx51
Architecture: armel
Section: admin
Priority: optional
Pre-Depends: dpkg (>= 1.10.24)
Depends: initramfs-tools (>= 0.36ubuntu6), coreutils | fileutils (>= 4.0), module-init-tools (>= 3.3-pre11-4ubuntu3), wireless-crda
Conflicts: hotplug (<< 0.0.20040105-1)
Recommends: flash-kernel
Suggests: fdutils, linux-fsl-imx51-doc-2.6.31 | linux-fsl-imx51-source-2.6.31
Description: Linux kernel image for version 2.6.31 on I.MX51-based systems
 This package contains the Linux kernel image for version 2.6.31 on
 I.MX51-based systems.
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports I.MX51 processors.
 .
 Babbage boards
 .
 You likely do not want to install this package directly. Instead, install
 the linux-imx51 meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-2.6.31-105-imx51
Architecture: armel
Section: devel
Priority: optional
Depends: coreutils | fileutils (>= 4.0), ${shlibs:Depends}
Description: Linux kernel headers for version 2.6.31 on I.MX51-based systems
 This package provides kernel header files for version 2.6.31 on
 I.MX51-based systems.
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-2.6.31-105/debian.README.gz for details.


Package: kernel-image-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: kernel-image
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: extra
Description: Linux kernel binary image for the Debian installer
 This package contains the Linux kernel image for the Debian installer
 boot images. It does _not_ provide a usable kernel for your full
 Debian system.

Package: nic-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: nic-modules
Depends: kernel-image-2.6.31-105-imx51-di, nic-shared-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Network interface support

Package: nic-shared-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: nic-shared-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-extra-modules, and nic-pcmcia-modules.

Package: serial-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: serial-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Serial port support

Package: ppp-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: ppp-modules
Depends: kernel-image-2.6.31-105-imx51-di, nic-shared-modules-2.6.31-105-imx51-di, serial-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: PPP (serial port) networking support

Package: scsi-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: scsi-modules
Depends: kernel-image-2.6.31-105-imx51-di, storage-core-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: SCSI storage support

Package: plip-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: plip-modules
Depends: kernel-image-2.6.31-105-imx51-di, nic-shared-modules-2.6.31-105-imx51-di, parport-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: PLIP (parallel port) networking support

Package: fat-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: fat-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: FAT filesystem support
 This includes Windows FAT and VFAT support.

Package: nfs-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: nfs-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: NFS filesystem drivers
 Includes the NFS client driver, and supporting modules.

Package: md-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: md-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Multi-device support (raid, device-mapper, lvm)

Package: usb-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: usb-modules
Depends: kernel-image-2.6.31-105-imx51-di, storage-core-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Core USB support

Package: input-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: input-modules
Depends: kernel-image-2.6.31-105-imx51-di, usb-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Support for various input methods

Package: mouse-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: mouse-modules
Depends: kernel-image-2.6.31-105-imx51-di, input-modules-2.6.31-105-imx51-di, usb-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: extra
Description: Mouse support
 This package contains mouse drivers for the Linux kernel.

Package: irda-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: irda-modules
Depends: kernel-image-2.6.31-105-imx51-di, nic-shared-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Support for Infrared protocols

Package: parport-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: parport-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Parallel port support

Package: nic-usb-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: nic-usb-modules
Depends: kernel-image-2.6.31-105-imx51-di, nic-shared-modules-2.6.31-105-imx51-di, usb-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: USB network interface support

Package: sata-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: sata-modules
Depends: kernel-image-2.6.31-105-imx51-di, storage-core-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: SATA storage support

Package: crypto-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: crypto-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: extra
Description: crypto modules
 This package contains crypto modules.

Package: fs-core-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: fs-core-modules, jfs-modules, reiserfs-modules, xfs-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Base filesystem modules
 This includes jfs, reiserfs and xfs.

Package: fs-secondary-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: fs-secondary-modules, ntfs-modules, hfs-modules
Depends: kernel-image-2.6.31-105-imx51-di, fat-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Extra filesystem modules
 This includes support for Windows NTFS and MacOS HFS/HFSPlus

Package: storage-core-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: storage-core-modules, loop-modules
Depends: kernel-image-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Core storage support
 Includes core SCSI, LibATA, USB-Storage. Also includes related block
 devices for CD, Disk and Tape medium (and IDE Floppy).

Package: block-modules-2.6.31-105-imx51-di
XC-Package-Type: udeb
Provides: block-modules
Depends: kernel-image-2.6.31-105-imx51-di, storage-core-modules-2.6.31-105-imx51-di, parport-modules-2.6.31-105-imx51-di
Architecture: armel
XB-Kernel-Version: 2.6.31-105-imx51
Section: debian-installer
Priority: standard
Description: Block storage devices
 This package contains the block storage devices, including DAC960 and
 paraide.
